"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var finalCharacters = [
    0x3063, 0x3093,
    0x30C3, 0x30F3,
    0x1B11D, 0x1B11E,
    0xFF9D,
];
var ranges = [
    [0x3041, 0x3096],
    [0x30A0, 0x30FA],
    [0x1B000, 0x1B11C],
    [0x31F0, 0x31FF],
    [0xFF66, 0xFF9C],
    [0x3099, 0x309F],
];
function TestKana(str) {
    var lastChar = str.charCodeAt(str.length - 1);
    if (lastChar === 0xFF9E || lastChar === 0xFF9F) {
        return null;
    }
    if (finalCharacters.indexOf(lastChar) !== -1) {
        return true;
    }
    for (var _i = 0, ranges_1 = ranges; _i < ranges_1.length; _i++) {
        var range = ranges_1[_i];
        if (lastChar >= range[0] && lastChar <= range[1]) {
            return false;
        }
    }
    return undefined;
}
exports.default = TestKana;
//# sourceMappingURL=kana.js.map